<template>
	<div class="navbar-top">
		  <div class="container">
			  <ul class="top-con list-inline">
				  <li><a :href="'tel:'+baseInfo.site_phone"><i class="icon-tel1"></i></i><span>{{baseInfo.site_phone}}</span></a></li>
				  <li v-if="baseInfo.site_mobile"><a :href="'tel:'+baseInfo.site_mobile"><i class="icon-phone"></i><span>{{baseInfo.site_mobile}}</span></a></li>
			  </ul>
			  <div class="top-use">
				  <ul class="list-inline share">
					  <li v-for="(item,index) in sharelist" :key="index">
						  <!-- <a href="javascript:void(0)" v-if="index==0" @click="tofacebook(item)">
							  <img :src="item.image" alt="">
						  </a>
						  <a :href="item.url" target="_blank" v-else>
						  		<img :src="item.image" alt="">
						  </a> -->	
						  <a :href="item.url" target="_blank">
						  		<img :src="item.image" alt="">
						  </a>
						  
					  </li>
					  <!-- <li class="icon-red"><a href="#"><i class="icon-youtube"></i></a></li>
					  <li class="icon-purple"><a href="#"><i class="icon-facebook"></i></a></li>
					  <li class="icon-green"><a href="#"><i class="icon-instagram"></i></a></li>
					  <li class="icon-blue"><a href="#"><i class="icon-telegram"></i></a></li> -->
					  <!-- <li class="icon-cyan"><a href="#"><i class="icon-linkedin"></i></a></li> -->
				  </ul>
				  <!-- <v-shareinfo > </v-shareinfo> -->
				  <div class="language">
					  <div class="dropdown">
						<a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
							<i class="icon-network"></i> {{langstr}} <span class="caret"></span>
						</a>
						<ul class="dropdown-menu dropdown-menu-left">
						  <li @click="changelang(item)" v-for="(item,index) in languagelist"><a href="javascript:void(0)">{{item.title}}</a></li>
						  <!-- <li><a href="javascript:void(0)" @click="changelang('ru')">Русский язык</a></li> -->
						</ul>
					  </div>
				  </div>
			  </div>
			  
		  </div>
		  <div class="mainloadEffect" v-if="isloadshow">
		  	<div class="loadEffect">
		  		<span></span>
		  		<span></span>
		  		<span></span>
		  		<span></span>
		  		<span></span>
		  		<span></span>
		  		<span></span>
		  		<span></span>
		  	</div>
		  </div>
	</div>

</template>
<!-- <script src="js/axios.min.js"></script> -->
<script>
	
module.exports = {
   data: function() {
       return {
           baseInfo: {},
		   sharelist:[],
		   languagelist:[
			   {title:'English',value:'en'},
			   {title:'Русский',value:'ru'},
		   ],
		   langstr:'en',
		   langarr:{},
		   isloadshow:false,
       }
   },
   components: {
   		'v-shareinfo': httpVueLoader('/shareinfo.vue'),
   },
   created() {
	   // this.languagezh = require('./js/languagezh.json')
	   // console.log(JSON.stringify(this.languagezh))
	   // console.log(localStorage.getItem("languagevalue"))
	   	
		
		this.getshareList();
		this.getwebbaseInfo();
		if(localStorage.getItem("languagevalue")){
			this.langstr = localStorage.getItem("languagevalue");
			// this.getlanguage();
			let langtype = '/js/languageen.json';
			if(this.langstr == 'en'){
				langtype = '/js/languageen.json';
			}else{
				langtype = '/js/languageru.json';
			}
			getlanguagearr(langtype);
		}else{
			// this.getdefaultlanguage();
			getdefaultlang()
		}
		
   },
   methods: {
	   tofacebook(item){
		//    var shareUrl = "https://www.facebook.com/sharer/sharer.php?u="+window.location.href;
		//    var w=600,h=400;
			
		//    // https://www.facebook.com/sharer/sharer.php?u=http%3A%2F%2Fwww.chinahub.guru%2Fquestion%2F1
		//  wLeft = window.screenLeft ? window.screenLeft : window.screenX;
		//  wTop = window.screenTop ? window.screenTop : window.screenY;
		console.log(window.location.href)
		//  var left = wLeft + (window.innerWidth / 2) - (w / 2);
		//  var top = wTop + (window.innerHeight / 2) - (h / 2);
		//  return window.open(shareUrl,"UNILAND", 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
		u = document.getElementsByClassName("fb_url")[0].content;
		
		t = document.getElementsByClassName("fb_title")[0].content;

		window.open("http://www.facebook.com/sharer.php?u="+ encodeURIComponent(u) + "&t="+ encodeURIComponent(t), "sharer","toolbar=0,status=0,width=626,height=436");
		
		  
	   },
	   getdefaultlanguage(){
		   // get(window.location.protocol+'//'+window.location.host+'/js/languageen.json').then(res => {
		   	
		   // 	// console.log(res);
		   // 	// console.log("------------------");
		   // 	localStorage.setItem("langs",JSON.stringify(res))
		   // 	// console.log(localStorage.getItem("langs"))
		   // 	// this.langarr = JSON.parse(localStorage.getItem("langs"))
		   // 	// console.log(this.langarr.alert1);
		   // }).catch(err => {
		   // 	console.log(err);
		   // });
		   
		   $.getJSON('/js/languageen.json', function (result, status) {
					localStorage.setItem("langs",JSON.stringify(result))
		            console.log(JSON.stringify(result))
		           });
	   },
	  
	   getwebbaseInfo() {//获取基础信息
		  get('/index/baseInfo').then(res => {
			  // console.log(res);
			  this.baseInfo = res.data;
		  }).catch(err => {
			  console.log(err);
		  });
	   },
	   getshareList() {//获取分享图标和地址
	   		  get('/index/getTopIcon').then(res => {
	   			  // console.log(res);
	   			  this.sharelist = res.data;
	   		  }).catch(err => {
	   			  console.log(err);
	   		  });
	   },
	   changelang(item){ //切换语言
		// console.log("切换语言")
		if(this.langstr != item.value){
			this.isloadshow = true;
			this.langstr = item.value;
			// // 数据存储
			localStorage.setItem("languagevalue",item.value);
			localStorage.setItem("languagetitle",item.title);
			// location.reload()
			// console.log("选择的语言："+this.langstr)
			let langtype = '/js/languageen.json';
			if(this.langstr == 'en'){
				langtype = '/js/languageen.json';
			}else{
				langtype = '/js/languageru.json';
			}
			
			getlanguagearr(langtype);
			setTimeout(function () {
				this.isloadshow = false
				location.reload()
			},500); 
		}
		// // 数据读取
		// localStorage.getItem("languagevalue");
		// // 数据删除
		// localStorage.removeItem("languagevalue");
		// //清空localStorage
		// localStorage.clear();
	   	
	   }
   }
}
</script>